#include <iostream>
#include <vector>
#include <math.h>

using namespace std;

int main()
{
    int poznanstva;
    int brojUcenika;

    cin>>brojUcenika>>poznanstva;

    vector<int> druzeljubivost (brojUcenika);

    for(int j=0; j<brojUcenika; j++){
        cin>>druzeljubivost[j];
    }

    vector<int> sreca (brojUcenika);

    for(int m=0; m<poznanstva; m++){
        int a;
        cin>>a;
        int b;
        cin>>b;
        if(druzeljubivost[a-1]>=0&&druzeljubivost[b-1]>=0){
            sreca[a-1]+=druzeljubivost[a-1];
            sreca[b-1]+=druzeljubivost[b-1];
            //cout<<"druzeljubivost[a-1]>=0&&druzeljubivost[b-1]>=0"<<endl;
        }else{
            if(a-1<0&&b-1>=0){
            //cout<<"druzeljubivost[a-1]>=0&&druzeljubivost[b-1]>=0 nije"<<endl;
                if(abs(druzeljubivost[a-1])>abs(druzeljubivost[b-1])){
                    sreca[a-1]-=druzeljubivost[a-1];
                    sreca[b-1]-=druzeljubivost[b-1];
                    //cout<<"abs(druzeljubivost[a-1])>abs(druzeljubivost[b-1])"<<endl;
                }else{
                    sreca[a-1]+=druzeljubivost[a-1];
                    sreca[b-1]+=druzeljubivost[b-1];
                    //cout<<"abs(druzeljubivost[a-1])>abs(druzeljubivost[b-1]) nije"<<endl;
                }
            }

            if(b-1<0&&a-1>=0){
                //cout<<"b-1<0&&a-1>=0"<<endl;
                if(abs(druzeljubivost[b-1])>abs(druzeljubivost[a-1])){
                    sreca[b-1]-=druzeljubivost[b-1];
                    sreca[a-1]-=druzeljubivost[a-1];
                    //cout<<"abs(druzeljubivost[b-1])>abs(druzeljubivost[a-1])"<<endl;
                }else{
                    sreca[b-1]+=druzeljubivost[b-1];
                    sreca[a-1]+=druzeljubivost[a-1];
                    //cout<<"abs(druzeljubivost[b-1])>abs(druzeljubivost[a-1]) nije"<<endl;
                }
            }
        }
    }

    int zbir=0;
    for(int m=0; m<brojUcenika; m++){
        zbir+=sreca[m];
        //cout<<"sreca od "<<m<<" je "<<sreca[m]<<endl;
    }

    cout<<zbir;

}